soap-0.2.3.6: SOAP client tools

Safe Haskell | None
Language | Haskell98

Network.SOAP.Exception

Synopsis

- data SOAPParsingError = SOAPParsingError String
- data SOAPFault = SOAPFault {
  - faultCode :: Text
  - faultString :: Text
  - faultDetail :: Text
  }
- extractSoapFault :: Document -> Maybe SOAPFault

# Documentation

data SOAPParsingError Source #

Constructors

SOAPParsingError String |

#### Instances

Instances details

Exception SOAPParsingError Source # |
Instance details Defined in Network.SOAP.Exception Methods toException :: SOAPParsingError -> SomeException Source # fromException :: SomeException -> Maybe SOAPParsingError Source # displayException :: SOAPParsingError -> String Source # backtraceDesired :: SOAPParsingError -> Bool Source #
Show SOAPParsingError Source # |
Instance details Defined in Network.SOAP.Exception Methods showsPrec :: Int -> SOAPParsingError -> ShowS Source # show :: SOAPParsingError -> String Source # showList :: [SOAPParsingError] -> ShowS Source #

data SOAPFault Source #

Exception to be thrown when transport encounters an exception that is acutally a SOAP Fault.

Constructors

SOAPFault |

Fields

- faultCode :: Text
- faultString :: Text
- faultDetail :: Text

#### Instances

Instances details

Exception SOAPFault Source # |
Instance details Defined in Network.SOAP.Exception Methods toException :: SOAPFault -> SomeException Source # fromException :: SomeException -> Maybe SOAPFault Source # displayException :: SOAPFault -> String Source # backtraceDesired :: SOAPFault -> Bool Source #
Show SOAPFault Source # |
Instance details Defined in Network.SOAP.Exception Methods showsPrec :: Int -> SOAPFault -> ShowS Source # show :: SOAPFault -> String Source # showList :: [SOAPFault] -> ShowS Source #
Eq SOAPFault Source # |
Instance details Defined in Network.SOAP.Exception Methods (==) :: SOAPFault -> SOAPFault -> Bool Source # (/=) :: SOAPFault -> SOAPFault -> Bool Source #

extractSoapFault :: Document -> Maybe SOAPFault Source #

Try to find a SOAP Fault in a document.